Name:           btest
Version:        0.54
Release:        1%{?dist}
Summary:        A Simple Driver for Basic Unit Tests

License:        BSD
URL:            http://www.bro.org/sphinx/components/btest/README.html
Source0:        http://www.bro.org/downloads/release/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
The btest is a simple framework for writing unit tests. Freely borrowing some
ideas from other packages, it’s main objective is to provide an easy-to-use,
straightforward driver for a suite of shell-based tests. Each test consists
of a set of command lines that will be executed, and success is determined
based on their exit codes. btest comes with some additional tools that can
be used within such tests to compare output against a previously established
baseline.

%prep
%setup -q

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README
%{_bindir}/%{name}*
%{python2_sitelib}/*

%changelog
* Tue May 19 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.54-1
- Update to new upstream version 0.54

* Wed Sep 17 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.53-1
- Update to latest upstream release 0.53

* Fri Jun 20 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.52-1
- Initial package
